"Fossies" - the Fresh Open Source Software Archive 
Member "nss-pam-ldapd-0.9.12/tests/Makefile.in" (20 Nov 2021, 47636 Bytes) of package /linux/privat/nss-pam-ldapd-0.9.12.tar.gz:
As a special service "Fossies" has tried to format the requested text file into HTML format (style:
standard) with prefixed line numbers.
Alternatively you can here
view or
download the uninterpreted source code file.
1 # Makefile.in generated by automake 1.16.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile.am - use automake to generate Makefile.in
18 #
19 # Copyright (C) 2006 West Consulting
20 # Copyright (C) 2006-2019 Arthur de Jong
21 #
22 # This library is free software; you can redistribute it and/or
23 # modify it under the terms of the GNU Lesser General Public
24 # License as published by the Free Software Foundation; either
25 # version 2.1 of the License, or (at your option) any later version.
26 #
27 # This library is distributed in the hope that it will be useful,
28 # but WITHOUT ANY WARRANTY; without even the implied warranty of
29 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
30 # Lesser General Public License for more details.
31 #
32 # You should have received a copy of the GNU Lesser General Public
33 # License along with this library; if not, write to the Free Software
34 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
35 # 02110-1301 USA
36 VPATH = @srcdir@
37 am__is_gnu_make = { \
38 if test -z '$(MAKELEVEL)'; then \
39 false; \
40 elif test -n '$(MAKE_HOST)'; then \
41 true; \
42 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
43 true; \
44 else \
45 false; \
46 fi; \
47 }
48 am__make_running_with_option = \
49 case $${target_option-} in \
50 ?) ;; \
51 *) echo "am__make_running_with_option: internal error: invalid" \
52 "target option '$${target_option-}' specified" >&2; \
53 exit 1;; \
54 esac; \
55 has_opt=no; \
56 sane_makeflags=$$MAKEFLAGS; \
57 if $(am__is_gnu_make); then \
58 sane_makeflags=$$MFLAGS; \
59 else \
60 case $$MAKEFLAGS in \
61 *\\[\ \ ]*) \
62 bs=\\; \
63 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
64 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
65 esac; \
66 fi; \
67 skip_next=no; \
68 strip_trailopt () \
69 { \
70 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
71 }; \
72 for flg in $$sane_makeflags; do \
73 test $$skip_next = yes && { skip_next=no; continue; }; \
74 case $$flg in \
75 *=*|--*) continue;; \
76 -*I) strip_trailopt 'I'; skip_next=yes;; \
77 -*I?*) strip_trailopt 'I';; \
78 -*O) strip_trailopt 'O'; skip_next=yes;; \
79 -*O?*) strip_trailopt 'O';; \
80 -*l) strip_trailopt 'l'; skip_next=yes;; \
81 -*l?*) strip_trailopt 'l';; \
82 -[dEDm]) skip_next=yes;; \
83 -[JT]) skip_next=yes;; \
84 esac; \
85 case $$flg in \
86 *$$target_option*) has_opt=yes; break;; \
87 esac; \
88 done; \
89 test $$has_opt = yes
90 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
91 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
92 pkgdatadir = $(datadir)/@PACKAGE@
93 pkgincludedir = $(includedir)/@PACKAGE@
94 pkglibdir = $(libdir)/@PACKAGE@
95 pkglibexecdir = $(libexecdir)/@PACKAGE@
96 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
97 install_sh_DATA = $(install_sh) -c -m 644
98 install_sh_PROGRAM = $(install_sh) -c
99 install_sh_SCRIPT = $(install_sh) -c
100 INSTALL_HEADER = $(INSTALL_DATA)
101 transform = $(program_transform_name)
102 NORMAL_INSTALL = :
103 PRE_INSTALL = :
104 POST_INSTALL = :
105 NORMAL_UNINSTALL = :
106 PRE_UNINSTALL = :
107 POST_UNINSTALL = :
108 build_triplet = @build@
109 host_triplet = @host@
110 target_triplet = @target@
111 TESTS = test_dict$(EXEEXT) test_set$(EXEEXT) test_tio$(EXEEXT) \
112 test_expr$(EXEEXT) test_getpeercred$(EXEEXT) test_cfg$(EXEEXT) \
113 test_attmap$(EXEEXT) test_myldap.sh test_common$(EXEEXT) \
114 test_nsscmds.sh test_pamcmds.sh test_manpages.sh \
115 test_clock$(EXEEXT) test_tio_timeout$(EXEEXT) $(am__append_1) \
116 $(am__append_2) $(am__append_3)
117 @HAVE_PYTHON_TRUE@am__append_1 = test_pycompile.sh test_pylint.sh
118 @ENABLE_PYNSLCD_TRUE@am__append_2 = test_pynslcd_cache.py test_doctest.sh
119 @ENABLE_UTILS_TRUE@am__append_3 = test_ldapcmds.sh
120 check_PROGRAMS = test_dict$(EXEEXT) test_set$(EXEEXT) \
121 test_tio$(EXEEXT) test_expr$(EXEEXT) test_getpeercred$(EXEEXT) \
122 test_cfg$(EXEEXT) test_attmap$(EXEEXT) test_myldap$(EXEEXT) \
123 test_common$(EXEEXT) test_clock$(EXEEXT) \
124 test_tio_timeout$(EXEEXT) lookup_netgroup$(EXEEXT) \
125 lookup_shadow$(EXEEXT) lookup_groupbyuser$(EXEEXT)
126 subdir = tests
127 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
128 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_pthread.m4 \
129 $(top_srcdir)/m4/ax_python_module.m4 \
130 $(top_srcdir)/m4/ax_tls.m4 $(top_srcdir)/configure.ac
131 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
132 $(ACLOCAL_M4)
133 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
134 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
135 CONFIG_HEADER = $(top_builddir)/config.h
136 CONFIG_CLEAN_FILES =
137 CONFIG_CLEAN_VPATH_FILES =
138 am_lookup_groupbyuser_OBJECTS = lookup_groupbyuser.$(OBJEXT)
139 lookup_groupbyuser_OBJECTS = $(am_lookup_groupbyuser_OBJECTS)
140 lookup_groupbyuser_LDADD = $(LDADD)
141 am_lookup_netgroup_OBJECTS = lookup_netgroup.$(OBJEXT)
142 lookup_netgroup_OBJECTS = $(am_lookup_netgroup_OBJECTS)
143 lookup_netgroup_LDADD = $(LDADD)
144 am_lookup_shadow_OBJECTS = lookup_shadow.$(OBJEXT)
145 lookup_shadow_OBJECTS = $(am_lookup_shadow_OBJECTS)
146 lookup_shadow_LDADD = $(LDADD)
147 am_test_attmap_OBJECTS = test_attmap.$(OBJEXT)
148 test_attmap_OBJECTS = $(am_test_attmap_OBJECTS)
149 am__DEPENDENCIES_1 = ../nslcd/log.o ../nslcd/common.o \
150 ../nslcd/invalidator.o ../nslcd/myldap.o ../nslcd/attmap.o \
151 ../nslcd/nsswitch.o ../nslcd/alias.o ../nslcd/ether.o \
152 ../nslcd/group.o ../nslcd/host.o ../nslcd/netgroup.o \
153 ../nslcd/network.o ../nslcd/passwd.o ../nslcd/protocol.o \
154 ../nslcd/rpc.o ../nslcd/service.o ../nslcd/shadow.o \
155 ../nslcd/pam.o ../common/libtio.a ../common/libdict.a \
156 ../common/libexpr.a ../compat/libcompat.a
157 test_attmap_DEPENDENCIES = ../nslcd/cfg.o $(am__DEPENDENCIES_1)
158 am_test_cfg_OBJECTS = test_cfg.$(OBJEXT)
159 test_cfg_OBJECTS = $(am_test_cfg_OBJECTS)
160 test_cfg_DEPENDENCIES = $(am__DEPENDENCIES_1)
161 am_test_clock_OBJECTS = test_clock.$(OBJEXT)
162 test_clock_OBJECTS = $(am_test_clock_OBJECTS)
163 test_clock_LDADD = $(LDADD)
164 am_test_common_OBJECTS = test_common.$(OBJEXT)
165 test_common_OBJECTS = $(am_test_common_OBJECTS)
166 test_common_DEPENDENCIES = ../nslcd/cfg.o $(am__DEPENDENCIES_1)
167 am_test_dict_OBJECTS = test_dict.$(OBJEXT)
168 test_dict_OBJECTS = $(am_test_dict_OBJECTS)
169 test_dict_DEPENDENCIES = ../common/libdict.a
170 am_test_expr_OBJECTS = test_expr.$(OBJEXT)
171 test_expr_OBJECTS = $(am_test_expr_OBJECTS)
172 test_expr_DEPENDENCIES = ../common/set.o ../common/dict.o
173 am_test_getpeercred_OBJECTS = test_getpeercred.$(OBJEXT)
174 test_getpeercred_OBJECTS = $(am_test_getpeercred_OBJECTS)
175 test_getpeercred_DEPENDENCIES = ../compat/libcompat.a
176 am_test_myldap_OBJECTS = test_myldap.$(OBJEXT)
177 test_myldap_OBJECTS = $(am_test_myldap_OBJECTS)
178 test_myldap_DEPENDENCIES = ../nslcd/cfg.o $(am__DEPENDENCIES_1)
179 am_test_set_OBJECTS = test_set.$(OBJEXT)
180 test_set_OBJECTS = $(am_test_set_OBJECTS)
181 test_set_DEPENDENCIES = ../common/libdict.a
182 am_test_tio_OBJECTS = test_tio.$(OBJEXT)
183 test_tio_OBJECTS = $(am_test_tio_OBJECTS)
184 test_tio_DEPENDENCIES = ../common/tio.o
185 test_tio_LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(test_tio_LDFLAGS) \
186 $(LDFLAGS) -o $@
187 am_test_tio_timeout_OBJECTS = test_tio_timeout.$(OBJEXT)
188 test_tio_timeout_OBJECTS = $(am_test_tio_timeout_OBJECTS)
189 test_tio_timeout_LDADD = $(LDADD)
190 AM_V_P = $(am__v_P_@AM_V@)
191 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
192 am__v_P_0 = false
193 am__v_P_1 = :
194 AM_V_GEN = $(am__v_GEN_@AM_V@)
195 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
196 am__v_GEN_0 = @echo " GEN " $@;
197 am__v_GEN_1 =
198 AM_V_at = $(am__v_at_@AM_V@)
199 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
200 am__v_at_0 = @
201 am__v_at_1 =
202 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
203 depcomp = $(SHELL) $(top_srcdir)/depcomp
204 am__maybe_remake_depfiles = depfiles
205 am__depfiles_remade = ./$(DEPDIR)/lookup_groupbyuser.Po \
206 ./$(DEPDIR)/lookup_netgroup.Po ./$(DEPDIR)/lookup_shadow.Po \
207 ./$(DEPDIR)/test_attmap.Po ./$(DEPDIR)/test_cfg.Po \
208 ./$(DEPDIR)/test_clock.Po ./$(DEPDIR)/test_common.Po \
209 ./$(DEPDIR)/test_dict.Po ./$(DEPDIR)/test_expr.Po \
210 ./$(DEPDIR)/test_getpeercred.Po ./$(DEPDIR)/test_myldap.Po \
211 ./$(DEPDIR)/test_set.Po ./$(DEPDIR)/test_tio.Po \
212 ./$(DEPDIR)/test_tio_timeout.Po
213 am__mv = mv -f
214 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
215 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
216 AM_V_CC = $(am__v_CC_@AM_V@)
217 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
218 am__v_CC_0 = @echo " CC " $@;
219 am__v_CC_1 =
220 CCLD = $(CC)
221 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
222 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
223 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
224 am__v_CCLD_0 = @echo " CCLD " $@;
225 am__v_CCLD_1 =
226 SOURCES = $(lookup_groupbyuser_SOURCES) $(lookup_netgroup_SOURCES) \
227 $(lookup_shadow_SOURCES) $(test_attmap_SOURCES) \
228 $(test_cfg_SOURCES) $(test_clock_SOURCES) \
229 $(test_common_SOURCES) $(test_dict_SOURCES) \
230 $(test_expr_SOURCES) $(test_getpeercred_SOURCES) \
231 $(test_myldap_SOURCES) $(test_set_SOURCES) $(test_tio_SOURCES) \
232 $(test_tio_timeout_SOURCES)
233 DIST_SOURCES = $(lookup_groupbyuser_SOURCES) \
234 $(lookup_netgroup_SOURCES) $(lookup_shadow_SOURCES) \
235 $(test_attmap_SOURCES) $(test_cfg_SOURCES) \
236 $(test_clock_SOURCES) $(test_common_SOURCES) \
237 $(test_dict_SOURCES) $(test_expr_SOURCES) \
238 $(test_getpeercred_SOURCES) $(test_myldap_SOURCES) \
239 $(test_set_SOURCES) $(test_tio_SOURCES) \
240 $(test_tio_timeout_SOURCES)
241 am__can_run_installinfo = \
242 case $$AM_UPDATE_INFO_DIR in \
243 n|no|NO) false;; \
244 *) (install-info --version) >/dev/null 2>&1;; \
245 esac
246 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
247 # Read a list of newline-separated strings from the standard input,
248 # and print each of them once, without duplicates. Input order is
249 # *not* preserved.
250 am__uniquify_input = $(AWK) '\
251 BEGIN { nonempty = 0; } \
252 { items[$$0] = 1; nonempty = 1; } \
253 END { if (nonempty) { for (i in items) print i; }; } \
254 '
255 # Make sure the list of sources is unique. This is necessary because,
256 # e.g., the same source file might be shared among _SOURCES variables
257 # for different programs/libraries.
258 am__define_uniq_tagged_files = \
259 list='$(am__tagged_files)'; \
260 unique=`for i in $$list; do \
261 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
262 done | $(am__uniquify_input)`
263 am__tty_colors_dummy = \
264 mgn= red= grn= lgn= blu= brg= std=; \
265 am__color_tests=no
266 am__tty_colors = { \
267 $(am__tty_colors_dummy); \
268 if test "X$(AM_COLOR_TESTS)" = Xno; then \
269 am__color_tests=no; \
270 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
271 am__color_tests=yes; \
272 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
273 am__color_tests=yes; \
274 fi; \
275 if test $$am__color_tests = yes; then \
276 red='[0;31m'; \
277 grn='[0;32m'; \
278 lgn='[1;32m'; \
279 blu='[1;34m'; \
280 mgn='[0;35m'; \
281 brg='[1m'; \
282 std='[m'; \
283 fi; \
284 }
285 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
286 am__vpath_adj = case $$p in \
287 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
288 *) f=$$p;; \
289 esac;
290 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
291 am__install_max = 40
292 am__nobase_strip_setup = \
293 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
294 am__nobase_strip = \
295 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
296 am__nobase_list = $(am__nobase_strip_setup); \
297 for p in $$list; do echo "$$p $$p"; done | \
298 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
299 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
300 if (++n[$$2] == $(am__install_max)) \
301 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
302 END { for (dir in files) print dir, files[dir] }'
303 am__base_list = \
304 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
305 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
306 am__uninstall_files_from_dir = { \
307 test -z "$$files" \
308 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
309 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
310 $(am__cd) "$$dir" && rm -f $$files; }; \
311 }
312 am__recheck_rx = ^[ ]*:recheck:[ ]*
313 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
314 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
315 # A command that, given a newline-separated list of test names on the
316 # standard input, print the name of the tests that are to be re-run
317 # upon "make recheck".
318 am__list_recheck_tests = $(AWK) '{ \
319 recheck = 1; \
320 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
321 { \
322 if (rc < 0) \
323 { \
324 if ((getline line2 < ($$0 ".log")) < 0) \
325 recheck = 0; \
326 break; \
327 } \
328 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
329 { \
330 recheck = 0; \
331 break; \
332 } \
333 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
334 { \
335 break; \
336 } \
337 }; \
338 if (recheck) \
339 print $$0; \
340 close ($$0 ".trs"); \
341 close ($$0 ".log"); \
342 }'
343 # A command that, given a newline-separated list of test names on the
344 # standard input, create the global log from their .trs and .log files.
345 am__create_global_log = $(AWK) ' \
346 function fatal(msg) \
347 { \
348 print "fatal: making $@: " msg | "cat >&2"; \
349 exit 1; \
350 } \
351 function rst_section(header) \
352 { \
353 print header; \
354 len = length(header); \
355 for (i = 1; i <= len; i = i + 1) \
356 printf "="; \
357 printf "\n\n"; \
358 } \
359 { \
360 copy_in_global_log = 1; \
361 global_test_result = "RUN"; \
362 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
363 { \
364 if (rc < 0) \
365 fatal("failed to read from " $$0 ".trs"); \
366 if (line ~ /$(am__global_test_result_rx)/) \
367 { \
368 sub("$(am__global_test_result_rx)", "", line); \
369 sub("[ ]*$$", "", line); \
370 global_test_result = line; \
371 } \
372 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
373 copy_in_global_log = 0; \
374 }; \
375 if (copy_in_global_log) \
376 { \
377 rst_section(global_test_result ": " $$0); \
378 while ((rc = (getline line < ($$0 ".log"))) != 0) \
379 { \
380 if (rc < 0) \
381 fatal("failed to read from " $$0 ".log"); \
382 print line; \
383 }; \
384 printf "\n"; \
385 }; \
386 close ($$0 ".trs"); \
387 close ($$0 ".log"); \
388 }'
389 # Restructured Text title.
390 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
391 # Solaris 10 'make', and several other traditional 'make' implementations,
392 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
393 # by disabling -e (using the XSI extension "set +e") if it's set.
394 am__sh_e_setup = case $$- in *e*) set +e;; esac
395 # Default flags passed to test drivers.
396 am__common_driver_flags = \
397 --color-tests "$$am__color_tests" \
398 --enable-hard-errors "$$am__enable_hard_errors" \
399 --expect-failure "$$am__expect_failure"
400 # To be inserted before the command running the test. Creates the
401 # directory for the log if needed. Stores in $dir the directory
402 # containing $f, in $tst the test, in $log the log. Executes the
403 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
404 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
405 # will run the test scripts (or their associated LOG_COMPILER, if
406 # thy have one).
407 am__check_pre = \
408 $(am__sh_e_setup); \
409 $(am__vpath_adj_setup) $(am__vpath_adj) \
410 $(am__tty_colors); \
411 srcdir=$(srcdir); export srcdir; \
412 case "$@" in \
413 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
414 *) am__odir=.;; \
415 esac; \
416 test "x$$am__odir" = x"." || test -d "$$am__odir" \
417 || $(MKDIR_P) "$$am__odir" || exit $$?; \
418 if test -f "./$$f"; then dir=./; \
419 elif test -f "$$f"; then dir=; \
420 else dir="$(srcdir)/"; fi; \
421 tst=$$dir$$f; log='$@'; \
422 if test -n '$(DISABLE_HARD_ERRORS)'; then \
423 am__enable_hard_errors=no; \
424 else \
425 am__enable_hard_errors=yes; \
426 fi; \
427 case " $(XFAIL_TESTS) " in \
428 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
429 am__expect_failure=yes;; \
430 *) \
431 am__expect_failure=no;; \
432 esac; \
433 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
434 # A shell command to get the names of the tests scripts with any registered
435 # extension removed (i.e., equivalently, the names of the test logs, with
436 # the '.log' extension removed). The result is saved in the shell variable
437 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
438 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
439 # since that might cause problem with VPATH rewrites for suffix-less tests.
440 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
441 am__set_TESTS_bases = \
442 bases='$(TEST_LOGS)'; \
443 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
444 bases=`echo $$bases`
445 AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
446 RECHECK_LOGS = $(TEST_LOGS)
447 AM_RECURSIVE_TARGETS = check recheck
448 TEST_SUITE_LOG = test-suite.log
449 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
450 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
451 am__set_b = \
452 case '$@' in \
453 */*) \
454 case '$*' in \
455 */*) b='$*';; \
456 *) b=`echo '$@' | sed 's/\.log$$//'`; \
457 esac;; \
458 *) \
459 b='$*';; \
460 esac
461 am__test_logs1 = $(TESTS:=.log)
462 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
463 am__test_logs3 = $(am__test_logs2:.sh.log=.log)
464 SH_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
465 SH_LOG_COMPILE = $(SH_LOG_COMPILER) $(AM_SH_LOG_FLAGS) $(SH_LOG_FLAGS)
466 TEST_LOGS = $(am__test_logs3:.py.log=.log)
467 PY_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
468 PY_LOG_COMPILE = $(PY_LOG_COMPILER) $(AM_PY_LOG_FLAGS) $(PY_LOG_FLAGS)
469 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
470 $(top_srcdir)/mkinstalldirs $(top_srcdir)/test-driver README
471 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
472 ACLOCAL = @ACLOCAL@
473 AMTAR = @AMTAR@
474 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
475 AR = @AR@
476 AUTOCONF = @AUTOCONF@
477 AUTOHEADER = @AUTOHEADER@
478 AUTOMAKE = @AUTOMAKE@
479 AWK = @AWK@
480 CC = @CC@
481 CCDEPMODE = @CCDEPMODE@
482 CFLAGS = @CFLAGS@
483 CPP = @CPP@
484 CPPFLAGS = @CPPFLAGS@
485 CSCOPE = @CSCOPE@
486 CTAGS = @CTAGS@
487 CYGPATH_W = @CYGPATH_W@
488 DEFS = @DEFS@
489 DEPDIR = @DEPDIR@
490 DOCBOOK2X_MAN = @DOCBOOK2X_MAN@
491 ECHO_C = @ECHO_C@
492 ECHO_N = @ECHO_N@
493 ECHO_T = @ECHO_T@
494 EGREP = @EGREP@
495 ETAGS = @ETAGS@
496 EXEEXT = @EXEEXT@
497 GREP = @GREP@
498 INSTALL = @INSTALL@
499 INSTALL_DATA = @INSTALL_DATA@
500 INSTALL_PROGRAM = @INSTALL_PROGRAM@
501 INSTALL_SCRIPT = @INSTALL_SCRIPT@
502 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
503 LDFLAGS = @LDFLAGS@
504 LIBOBJS = @LIBOBJS@
505 LIBS = @LIBS@
506 LN_S = @LN_S@
507 LTLIBOBJS = @LTLIBOBJS@
508 MAINT = @MAINT@
509 MAKEINFO = @MAKEINFO@
510 MKDIR_P = @MKDIR_P@
511 MODULE_NAME = @MODULE_NAME@
512 NSLCD_BINDPW_PATH = @NSLCD_BINDPW_PATH@
513 NSLCD_CONF_PATH = @NSLCD_CONF_PATH@
514 NSLCD_PIDFILE = @NSLCD_PIDFILE@
515 NSLCD_SOCKET = @NSLCD_SOCKET@
516 NSS_FLAVOUR = @NSS_FLAVOUR@
517 NSS_LDAP_SONAME = @NSS_LDAP_SONAME@
518 NSS_MODULE_OBJS = @NSS_MODULE_OBJS@
519 OBJEXT = @OBJEXT@
520 PACKAGE = @PACKAGE@
521 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
522 PACKAGE_NAME = @PACKAGE_NAME@
523 PACKAGE_STRING = @PACKAGE_STRING@
524 PACKAGE_TARNAME = @PACKAGE_TARNAME@
525 PACKAGE_URL = @PACKAGE_URL@
526 PACKAGE_VERSION = @PACKAGE_VERSION@
527 PAM_LDAP_SONAME = @PAM_LDAP_SONAME@
528 PAM_SECLIB_DIR = @PAM_SECLIB_DIR@
529 PATH_SEPARATOR = @PATH_SEPARATOR@
530 PIC_CFLAGS = @PIC_CFLAGS@
531 PTHREAD_CC = @PTHREAD_CC@
532 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
533 PTHREAD_LIBS = @PTHREAD_LIBS@
534 PYTHON = @PYTHON@
535 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
536 PYTHON_PLATFORM = @PYTHON_PLATFORM@
537 PYTHON_PREFIX = @PYTHON_PREFIX@
538 PYTHON_VERSION = @PYTHON_VERSION@
539 RANLIB = @RANLIB@
540 RELEASE_MONTH = @RELEASE_MONTH@
541 SET_MAKE = @SET_MAKE@
542 SHELL = @SHELL@
543 STRIP = @STRIP@
544 VERSION = @VERSION@
545 abs_builddir = @abs_builddir@
546 abs_srcdir = @abs_srcdir@
547 abs_top_builddir = @abs_top_builddir@
548 abs_top_srcdir = @abs_top_srcdir@
549 ac_ct_AR = @ac_ct_AR@
550 ac_ct_CC = @ac_ct_CC@
551 am__include = @am__include@
552 am__leading_dot = @am__leading_dot@
553 am__quote = @am__quote@
554 am__tar = @am__tar@
555 am__untar = @am__untar@
556 ax_pthread_config = @ax_pthread_config@
557 bindir = @bindir@
558 build = @build@
559 build_alias = @build_alias@
560 build_cpu = @build_cpu@
561 build_os = @build_os@
562 build_vendor = @build_vendor@
563 builddir = @builddir@
564 datadir = @datadir@
565 datarootdir = @datarootdir@
566 docdir = @docdir@
567 dvidir = @dvidir@
568 exec_prefix = @exec_prefix@
569 host = @host@
570 host_alias = @host_alias@
571 host_cpu = @host_cpu@
572 host_os = @host_os@
573 host_vendor = @host_vendor@
574 htmldir = @htmldir@
575 includedir = @includedir@
576 infodir = @infodir@
577 install_sh = @install_sh@
578 libdir = @libdir@
579 libexecdir = @libexecdir@
580 localedir = @localedir@
581 localstatedir = @localstatedir@
582 mandir = @mandir@
583 mkdir_p = @mkdir_p@
584 nslcd_LIBS = @nslcd_LIBS@
585 nss_ldap_so_LDFLAGS = @nss_ldap_so_LDFLAGS@
586 nss_ldap_so_LINK = @nss_ldap_so_LINK@
587 oldincludedir = @oldincludedir@
588 pam_ldap_so_LDFLAGS = @pam_ldap_so_LDFLAGS@
589 pam_ldap_so_LINK = @pam_ldap_so_LINK@
590 pdfdir = @pdfdir@
591 pkgpyexecdir = @pkgpyexecdir@
592 pkgpythondir = @pkgpythondir@
593 prefix = @prefix@
594 program_transform_name = @program_transform_name@
595 psdir = @psdir@
596 pyexecdir = @pyexecdir@
597 pythondir = @pythondir@
598 runstatedir = @runstatedir@
599 sbindir = @sbindir@
600 sharedstatedir = @sharedstatedir@
601 srcdir = @srcdir@
602 sysconfdir = @sysconfdir@
603 target = @target@
604 target_alias = @target_alias@
605 target_cpu = @target_cpu@
606 target_os = @target_os@
607 target_vendor = @target_vendor@
608 top_build_prefix = @top_build_prefix@
609 top_builddir = @top_builddir@
610 top_srcdir = @top_srcdir@
611 TEST_EXTENSIONS = .sh .py
612 SH_LOG_COMPILER = $(SHELL)
613 PY_LOG_COMPILER = $(PYTHON)
614 AM_TESTS_ENVIRONMENT = PYTHON='@PYTHON@'; export PYTHON; \
615 builddir=$(builddir); export builddir;
616
617 EXTRA_DIST = README nslcd-test.conf usernames.txt testenv.sh test_myldap.sh \
618 test_nsscmds.sh test_ldapcmds.sh test_pamcmds.sh \
619 test_pamcmds.expect test_manpages.sh \
620 test_pycompile.sh test_doctest.sh \
621 test_pylint.sh pylint.rc \
622 test_flake8.sh flake8.ini \
623 test_pynslcd_cache.py \
624 setup_slapd.sh config.ldif test.ldif
625
626 CLEANFILES = $(EXTRA_PROGRAMS) test_pamcmds.log
627 AM_CPPFLAGS = -I$(top_srcdir)
628 AM_CFLAGS = $(PTHREAD_CFLAGS) -g
629 test_dict_SOURCES = test_dict.c ../common/dict.h
630 test_dict_LDADD = ../common/libdict.a
631 test_set_SOURCES = test_set.c ../common/set.h
632 test_set_LDADD = ../common/libdict.a
633 test_tio_SOURCES = test_tio.c common.h ../common/tio.h
634 test_tio_LDADD = ../common/tio.o
635 test_tio_LDFLAGS = $(PTHREAD_CFLAGS) $(PTHREAD_LIBS)
636 test_expr_SOURCES = test_expr.c common.h
637 test_expr_LDADD = ../common/set.o ../common/dict.o
638 test_getpeercred_SOURCES = test_getpeercred.c common.h
639 test_getpeercred_LDADD = ../compat/libcompat.a
640
641 # common objects that are included for the tests of nslcd functionality
642 common_nslcd_LDADD = ../nslcd/log.o ../nslcd/common.o ../nslcd/invalidator.o \
643 ../nslcd/myldap.o ../nslcd/attmap.o ../nslcd/nsswitch.o \
644 ../nslcd/alias.o ../nslcd/ether.o ../nslcd/group.o \
645 ../nslcd/host.o ../nslcd/netgroup.o ../nslcd/network.o \
646 ../nslcd/passwd.o ../nslcd/protocol.o ../nslcd/rpc.o \
647 ../nslcd/service.o ../nslcd/shadow.o ../nslcd/pam.o \
648 ../common/libtio.a ../common/libdict.a \
649 ../common/libexpr.a ../compat/libcompat.a \
650 @nslcd_LIBS@ @PTHREAD_LIBS@
651
652 test_cfg_SOURCES = test_cfg.c common.h
653 test_cfg_LDADD = $(common_nslcd_LDADD)
654 test_attmap_SOURCES = test_attmap.c common.h
655 test_attmap_LDADD = ../nslcd/cfg.o $(common_nslcd_LDADD)
656 test_myldap_SOURCES = test_myldap.c common.h
657 test_myldap_LDADD = ../nslcd/cfg.o $(common_nslcd_LDADD)
658 test_common_SOURCES = test_common.c ../nslcd/common.h
659 test_common_LDADD = ../nslcd/cfg.o $(common_nslcd_LDADD)
660 test_clock_SOURCES = test_clock.c
661 test_tio_timeout_SOURCES = test_tio_timeout.c ../common/tio.h
662 lookup_netgroup_SOURCES = lookup_netgroup.c
663 lookup_shadow_SOURCES = lookup_shadow.c
664 lookup_groupbyuser_SOURCES = lookup_groupbyuser.c
665 all: all-am
666
667 .SUFFIXES:
668 .SUFFIXES: .c .log .o .obj .py .py$(EXEEXT) .sh .sh$(EXEEXT) .trs
669 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
670 @for dep in $?; do \
671 case '$(am__configure_deps)' in \
672 *$$dep*) \
673 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
674 && { if test -f $@; then exit 0; else break; fi; }; \
675 exit 1;; \
676 esac; \
677 done; \
678 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
679 $(am__cd) $(top_srcdir) && \
680 $(AUTOMAKE) --gnu tests/Makefile
681 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
682 @case '$?' in \
683 *config.status*) \
684 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
685 *) \
686 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
687 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
688 esac;
689
690 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
691 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
692
693 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
694 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
695 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
696 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
697 $(am__aclocal_m4_deps):
698
699 clean-checkPROGRAMS:
700 -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
701
702 lookup_groupbyuser$(EXEEXT): $(lookup_groupbyuser_OBJECTS) $(lookup_groupbyuser_DEPENDENCIES) $(EXTRA_lookup_groupbyuser_DEPENDENCIES)
703 @rm -f lookup_groupbyuser$(EXEEXT)
704 $(AM_V_CCLD)$(LINK) $(lookup_groupbyuser_OBJECTS) $(lookup_groupbyuser_LDADD) $(LIBS)
705
706 lookup_netgroup$(EXEEXT): $(lookup_netgroup_OBJECTS) $(lookup_netgroup_DEPENDENCIES) $(EXTRA_lookup_netgroup_DEPENDENCIES)
707 @rm -f lookup_netgroup$(EXEEXT)
708 $(AM_V_CCLD)$(LINK) $(lookup_netgroup_OBJECTS) $(lookup_netgroup_LDADD) $(LIBS)
709
710 lookup_shadow$(EXEEXT): $(lookup_shadow_OBJECTS) $(lookup_shadow_DEPENDENCIES) $(EXTRA_lookup_shadow_DEPENDENCIES)
711 @rm -f lookup_shadow$(EXEEXT)
712 $(AM_V_CCLD)$(LINK) $(lookup_shadow_OBJECTS) $(lookup_shadow_LDADD) $(LIBS)
713
714 test_attmap$(EXEEXT): $(test_attmap_OBJECTS) $(test_attmap_DEPENDENCIES) $(EXTRA_test_attmap_DEPENDENCIES)
715 @rm -f test_attmap$(EXEEXT)
716 $(AM_V_CCLD)$(LINK) $(test_attmap_OBJECTS) $(test_attmap_LDADD) $(LIBS)
717
718 test_cfg$(EXEEXT): $(test_cfg_OBJECTS) $(test_cfg_DEPENDENCIES) $(EXTRA_test_cfg_DEPENDENCIES)
719 @rm -f test_cfg$(EXEEXT)
720 $(AM_V_CCLD)$(LINK) $(test_cfg_OBJECTS) $(test_cfg_LDADD) $(LIBS)
721
722 test_clock$(EXEEXT): $(test_clock_OBJECTS) $(test_clock_DEPENDENCIES) $(EXTRA_test_clock_DEPENDENCIES)
723 @rm -f test_clock$(EXEEXT)
724 $(AM_V_CCLD)$(LINK) $(test_clock_OBJECTS) $(test_clock_LDADD) $(LIBS)
725
726 test_common$(EXEEXT): $(test_common_OBJECTS) $(test_common_DEPENDENCIES) $(EXTRA_test_common_DEPENDENCIES)
727 @rm -f test_common$(EXEEXT)
728 $(AM_V_CCLD)$(LINK) $(test_common_OBJECTS) $(test_common_LDADD) $(LIBS)
729
730 test_dict$(EXEEXT): $(test_dict_OBJECTS) $(test_dict_DEPENDENCIES) $(EXTRA_test_dict_DEPENDENCIES)
731 @rm -f test_dict$(EXEEXT)
732 $(AM_V_CCLD)$(LINK) $(test_dict_OBJECTS) $(test_dict_LDADD) $(LIBS)
733
734 test_expr$(EXEEXT): $(test_expr_OBJECTS) $(test_expr_DEPENDENCIES) $(EXTRA_test_expr_DEPENDENCIES)
735 @rm -f test_expr$(EXEEXT)
736 $(AM_V_CCLD)$(LINK) $(test_expr_OBJECTS) $(test_expr_LDADD) $(LIBS)
737
738 test_getpeercred$(EXEEXT): $(test_getpeercred_OBJECTS) $(test_getpeercred_DEPENDENCIES) $(EXTRA_test_getpeercred_DEPENDENCIES)
739 @rm -f test_getpeercred$(EXEEXT)
740 $(AM_V_CCLD)$(LINK) $(test_getpeercred_OBJECTS) $(test_getpeercred_LDADD) $(LIBS)
741
742 test_myldap$(EXEEXT): $(test_myldap_OBJECTS) $(test_myldap_DEPENDENCIES) $(EXTRA_test_myldap_DEPENDENCIES)
743 @rm -f test_myldap$(EXEEXT)
744 $(AM_V_CCLD)$(LINK) $(test_myldap_OBJECTS) $(test_myldap_LDADD) $(LIBS)
745
746 test_set$(EXEEXT): $(test_set_OBJECTS) $(test_set_DEPENDENCIES) $(EXTRA_test_set_DEPENDENCIES)
747 @rm -f test_set$(EXEEXT)
748 $(AM_V_CCLD)$(LINK) $(test_set_OBJECTS) $(test_set_LDADD) $(LIBS)
749
750 test_tio$(EXEEXT): $(test_tio_OBJECTS) $(test_tio_DEPENDENCIES) $(EXTRA_test_tio_DEPENDENCIES)
751 @rm -f test_tio$(EXEEXT)
752 $(AM_V_CCLD)$(test_tio_LINK) $(test_tio_OBJECTS) $(test_tio_LDADD) $(LIBS)
753
754 test_tio_timeout$(EXEEXT): $(test_tio_timeout_OBJECTS) $(test_tio_timeout_DEPENDENCIES) $(EXTRA_test_tio_timeout_DEPENDENCIES)
755 @rm -f test_tio_timeout$(EXEEXT)
756 $(AM_V_CCLD)$(LINK) $(test_tio_timeout_OBJECTS) $(test_tio_timeout_LDADD) $(LIBS)
757
758 mostlyclean-compile:
759 -rm -f *.$(OBJEXT)
760
761 distclean-compile:
762 -rm -f *.tab.c
763
764 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lookup_groupbyuser.Po@am__quote@ # am--include-marker
765 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lookup_netgroup.Po@am__quote@ # am--include-marker
766 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lookup_shadow.Po@am__quote@ # am--include-marker
767 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_attmap.Po@am__quote@ # am--include-marker
768 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_cfg.Po@am__quote@ # am--include-marker
769 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clock.Po@am__quote@ # am--include-marker
770 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_common.Po@am__quote@ # am--include-marker
771 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_dict.Po@am__quote@ # am--include-marker
772 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_expr.Po@am__quote@ # am--include-marker
773 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_getpeercred.Po@am__quote@ # am--include-marker
774 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_myldap.Po@am__quote@ # am--include-marker
775 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_set.Po@am__quote@ # am--include-marker
776 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tio.Po@am__quote@ # am--include-marker
777 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tio_timeout.Po@am__quote@ # am--include-marker
778
779 $(am__depfiles_remade):
780 @$(MKDIR_P) $(@D)
781 @echo '# dummy' >$@-t && $(am__mv) $@-t $@
782
783 am--depfiles: $(am__depfiles_remade)
784
785 .c.o:
786 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
787 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
788 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
789 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
790 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
791
792 .c.obj:
793 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
794 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
795 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
796 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
797 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
798
799 ID: $(am__tagged_files)
800 $(am__define_uniq_tagged_files); mkid -fID $$unique
801 tags: tags-am
802 TAGS: tags
803
804 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
805 set x; \
806 here=`pwd`; \
807 $(am__define_uniq_tagged_files); \
808 shift; \
809 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
810 test -n "$$unique" || unique=$$empty_fix; \
811 if test $$# -gt 0; then \
812 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
813 "$$@" $$unique; \
814 else \
815 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
816 $$unique; \
817 fi; \
818 fi
819 ctags: ctags-am
820
821 CTAGS: ctags
822 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
823 $(am__define_uniq_tagged_files); \
824 test -z "$(CTAGS_ARGS)$$unique" \
825 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
826 $$unique
827
828 GTAGS:
829 here=`$(am__cd) $(top_builddir) && pwd` \
830 && $(am__cd) $(top_srcdir) \
831 && gtags -i $(GTAGS_ARGS) "$$here"
832 cscopelist: cscopelist-am
833
834 cscopelist-am: $(am__tagged_files)
835 list='$(am__tagged_files)'; \
836 case "$(srcdir)" in \
837 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
838 *) sdir=$(subdir)/$(srcdir) ;; \
839 esac; \
840 for i in $$list; do \
841 if test -f "$$i"; then \
842 echo "$(subdir)/$$i"; \
843 else \
844 echo "$$sdir/$$i"; \
845 fi; \
846 done >> $(top_builddir)/cscope.files
847
848 distclean-tags:
849 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
850
851 # Recover from deleted '.trs' file; this should ensure that
852 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
853 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
854 # to avoid problems with "make -n".
855 .log.trs:
856 rm -f $< $@
857 $(MAKE) $(AM_MAKEFLAGS) $<
858
859 # Leading 'am--fnord' is there to ensure the list of targets does not
860 # expand to empty, as could happen e.g. with make check TESTS=''.
861 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
862 am--force-recheck:
863 @:
864
865 $(TEST_SUITE_LOG): $(TEST_LOGS)
866 @$(am__set_TESTS_bases); \
867 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
868 redo_bases=`for i in $$bases; do \
869 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
870 done`; \
871 if test -n "$$redo_bases"; then \
872 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
873 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
874 if $(am__make_dryrun); then :; else \
875 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
876 fi; \
877 fi; \
878 if test -n "$$am__remaking_logs"; then \
879 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
880 "recursion detected" >&2; \
881 elif test -n "$$redo_logs"; then \
882 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
883 fi; \
884 if $(am__make_dryrun); then :; else \
885 st=0; \
886 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
887 for i in $$redo_bases; do \
888 test -f $$i.trs && test -r $$i.trs \
889 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
890 test -f $$i.log && test -r $$i.log \
891 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
892 done; \
893 test $$st -eq 0 || exit 1; \
894 fi
895 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
896 ws='[ ]'; \
897 results=`for b in $$bases; do echo $$b.trs; done`; \
898 test -n "$$results" || results=/dev/null; \
899 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
900 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
901 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
902 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
903 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
904 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
905 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
906 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
907 success=true; \
908 else \
909 success=false; \
910 fi; \
911 br='==================='; br=$$br$$br$$br$$br; \
912 result_count () \
913 { \
914 if test x"$$1" = x"--maybe-color"; then \
915 maybe_colorize=yes; \
916 elif test x"$$1" = x"--no-color"; then \
917 maybe_colorize=no; \
918 else \
919 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
920 fi; \
921 shift; \
922 desc=$$1 count=$$2; \
923 if test $$maybe_colorize = yes && test $$count -gt 0; then \
924 color_start=$$3 color_end=$$std; \
925 else \
926 color_start= color_end=; \
927 fi; \
928 echo "$${color_start}# $$desc $$count$${color_end}"; \
929 }; \
930 create_testsuite_report () \
931 { \
932 result_count $$1 "TOTAL:" $$all "$$brg"; \
933 result_count $$1 "PASS: " $$pass "$$grn"; \
934 result_count $$1 "SKIP: " $$skip "$$blu"; \
935 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
936 result_count $$1 "FAIL: " $$fail "$$red"; \
937 result_count $$1 "XPASS:" $$xpass "$$red"; \
938 result_count $$1 "ERROR:" $$error "$$mgn"; \
939 }; \
940 { \
941 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
942 $(am__rst_title); \
943 create_testsuite_report --no-color; \
944 echo; \
945 echo ".. contents:: :depth: 2"; \
946 echo; \
947 for b in $$bases; do echo $$b; done \
948 | $(am__create_global_log); \
949 } >$(TEST_SUITE_LOG).tmp || exit 1; \
950 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
951 if $$success; then \
952 col="$$grn"; \
953 else \
954 col="$$red"; \
955 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
956 fi; \
957 echo "$${col}$$br$${std}"; \
958 echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
959 echo "$${col}$$br$${std}"; \
960 create_testsuite_report --maybe-color; \
961 echo "$$col$$br$$std"; \
962 if $$success; then :; else \
963 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
964 if test -n "$(PACKAGE_BUGREPORT)"; then \
965 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
966 fi; \
967 echo "$$col$$br$$std"; \
968 fi; \
969 $$success || exit 1
970
971 check-TESTS: $(check_PROGRAMS)
972 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
973 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
974 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
975 @set +e; $(am__set_TESTS_bases); \
976 log_list=`for i in $$bases; do echo $$i.log; done`; \
977 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
978 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
979 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
980 exit $$?;
981 recheck: all $(check_PROGRAMS)
982 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
983 @set +e; $(am__set_TESTS_bases); \
984 bases=`for i in $$bases; do echo $$i; done \
985 | $(am__list_recheck_tests)` || exit 1; \
986 log_list=`for i in $$bases; do echo $$i.log; done`; \
987 log_list=`echo $$log_list`; \
988 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
989 am__force_recheck=am--force-recheck \
990 TEST_LOGS="$$log_list"; \
991 exit $$?
992 test_dict.log: test_dict$(EXEEXT)
993 @p='test_dict$(EXEEXT)'; \
994 b='test_dict'; \
995 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
996 --log-file $$b.log --trs-file $$b.trs \
997 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
998 "$$tst" $(AM_TESTS_FD_REDIRECT)
999 test_set.log: test_set$(EXEEXT)
1000 @p='test_set$(EXEEXT)'; \
1001 b='test_set'; \
1002 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1003 --log-file $$b.log --trs-file $$b.trs \
1004 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1005 "$$tst" $(AM_TESTS_FD_REDIRECT)
1006 test_tio.log: test_tio$(EXEEXT)
1007 @p='test_tio$(EXEEXT)'; \
1008 b='test_tio'; \
1009 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1010 --log-file $$b.log --trs-file $$b.trs \
1011 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1012 "$$tst" $(AM_TESTS_FD_REDIRECT)
1013 test_expr.log: test_expr$(EXEEXT)
1014 @p='test_expr$(EXEEXT)'; \
1015 b='test_expr'; \
1016 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1017 --log-file $$b.log --trs-file $$b.trs \
1018 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1019 "$$tst" $(AM_TESTS_FD_REDIRECT)
1020 test_getpeercred.log: test_getpeercred$(EXEEXT)
1021 @p='test_getpeercred$(EXEEXT)'; \
1022 b='test_getpeercred'; \
1023 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1024 --log-file $$b.log --trs-file $$b.trs \
1025 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1026 "$$tst" $(AM_TESTS_FD_REDIRECT)
1027 test_cfg.log: test_cfg$(EXEEXT)
1028 @p='test_cfg$(EXEEXT)'; \
1029 b='test_cfg'; \
1030 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1031 --log-file $$b.log --trs-file $$b.trs \
1032 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1033 "$$tst" $(AM_TESTS_FD_REDIRECT)
1034 test_attmap.log: test_attmap$(EXEEXT)
1035 @p='test_attmap$(EXEEXT)'; \
1036 b='test_attmap'; \
1037 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1038 --log-file $$b.log --trs-file $$b.trs \
1039 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1040 "$$tst" $(AM_TESTS_FD_REDIRECT)
1041 test_common.log: test_common$(EXEEXT)
1042 @p='test_common$(EXEEXT)'; \
1043 b='test_common'; \
1044 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1045 --log-file $$b.log --trs-file $$b.trs \
1046 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1047 "$$tst" $(AM_TESTS_FD_REDIRECT)
1048 test_clock.log: test_clock$(EXEEXT)
1049 @p='test_clock$(EXEEXT)'; \
1050 b='test_clock'; \
1051 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1052 --log-file $$b.log --trs-file $$b.trs \
1053 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1054 "$$tst" $(AM_TESTS_FD_REDIRECT)
1055 test_tio_timeout.log: test_tio_timeout$(EXEEXT)
1056 @p='test_tio_timeout$(EXEEXT)'; \
1057 b='test_tio_timeout'; \
1058 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1059 --log-file $$b.log --trs-file $$b.trs \
1060 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1061 "$$tst" $(AM_TESTS_FD_REDIRECT)
1062 .sh.log:
1063 @p='$<'; \
1064 $(am__set_b); \
1065 $(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
1066 --log-file $$b.log --trs-file $$b.trs \
1067 $(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
1068 "$$tst" $(AM_TESTS_FD_REDIRECT)
1069 @am__EXEEXT_TRUE@.sh$(EXEEXT).log:
1070 @am__EXEEXT_TRUE@ @p='$<'; \
1071 @am__EXEEXT_TRUE@ $(am__set_b); \
1072 @am__EXEEXT_TRUE@ $(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
1073 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1074 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
1075 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1076 .py.log:
1077 @p='$<'; \
1078 $(am__set_b); \
1079 $(am__check_pre) $(PY_LOG_DRIVER) --test-name "$$f" \
1080 --log-file $$b.log --trs-file $$b.trs \
1081 $(am__common_driver_flags) $(AM_PY_LOG_DRIVER_FLAGS) $(PY_LOG_DRIVER_FLAGS) -- $(PY_LOG_COMPILE) \
1082 "$$tst" $(AM_TESTS_FD_REDIRECT)
1083 @am__EXEEXT_TRUE@.py$(EXEEXT).log:
1084 @am__EXEEXT_TRUE@ @p='$<'; \
1085 @am__EXEEXT_TRUE@ $(am__set_b); \
1086 @am__EXEEXT_TRUE@ $(am__check_pre) $(PY_LOG_DRIVER) --test-name "$$f" \
1087 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1088 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_PY_LOG_DRIVER_FLAGS) $(PY_LOG_DRIVER_FLAGS) -- $(PY_LOG_COMPILE) \
1089 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1090 distdir: $(BUILT_SOURCES)
1091 $(MAKE) $(AM_MAKEFLAGS) distdir-am
1092
1093 distdir-am: $(DISTFILES)
1094 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1095 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1096 list='$(DISTFILES)'; \
1097 dist_files=`for file in $$list; do echo $$file; done | \
1098 sed -e "s|^$$srcdirstrip/||;t" \
1099 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1100 case $$dist_files in \
1101 */*) $(MKDIR_P) `echo "$$dist_files" | \
1102 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1103 sort -u` ;; \
1104 esac; \
1105 for file in $$dist_files; do \
1106 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1107 if test -d $$d/$$file; then \
1108 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1109 if test -d "$(distdir)/$$file"; then \
1110 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1111 fi; \
1112 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1113 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1114 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1115 fi; \
1116 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1117 else \
1118 test -f "$(distdir)/$$file" \
1119 || cp -p $$d/$$file "$(distdir)/$$file" \
1120 || exit 1; \
1121 fi; \
1122 done
1123 check-am: all-am
1124 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1125 $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1126 check: check-am
1127 all-am: Makefile
1128 installdirs:
1129 install: install-am
1130 install-exec: install-exec-am
1131 install-data: install-data-am
1132 uninstall: uninstall-am
1133
1134 install-am: all-am
1135 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1136
1137 installcheck: installcheck-am
1138 install-strip:
1139 if test -z '$(STRIP)'; then \
1140 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1141 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1142 install; \
1143 else \
1144 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1145 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1146 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1147 fi
1148 mostlyclean-generic:
1149 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1150 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1151 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1152
1153 clean-generic:
1154 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1155
1156 distclean-generic:
1157 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1158 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1159
1160 maintainer-clean-generic:
1161 @echo "This command is intended for maintainers to use"
1162 @echo "it deletes files that may require special tools to rebuild."
1163 clean: clean-am
1164
1165 clean-am: clean-checkPROGRAMS clean-generic clean-local mostlyclean-am
1166
1167 distclean: distclean-am
1168 -rm -f ./$(DEPDIR)/lookup_groupbyuser.Po
1169 -rm -f ./$(DEPDIR)/lookup_netgroup.Po
1170 -rm -f ./$(DEPDIR)/lookup_shadow.Po
1171 -rm -f ./$(DEPDIR)/test_attmap.Po
1172 -rm -f ./$(DEPDIR)/test_cfg.Po
1173 -rm -f ./$(DEPDIR)/test_clock.Po
1174 -rm -f ./$(DEPDIR)/test_common.Po
1175 -rm -f ./$(DEPDIR)/test_dict.Po
1176 -rm -f ./$(DEPDIR)/test_expr.Po
1177 -rm -f ./$(DEPDIR)/test_getpeercred.Po
1178 -rm -f ./$(DEPDIR)/test_myldap.Po
1179 -rm -f ./$(DEPDIR)/test_set.Po
1180 -rm -f ./$(DEPDIR)/test_tio.Po
1181 -rm -f ./$(DEPDIR)/test_tio_timeout.Po
1182 -rm -f Makefile
1183 distclean-am: clean-am distclean-compile distclean-generic \
1184 distclean-tags
1185
1186 dvi: dvi-am
1187
1188 dvi-am:
1189
1190 html: html-am
1191
1192 html-am:
1193
1194 info: info-am
1195
1196 info-am:
1197
1198 install-data-am:
1199
1200 install-dvi: install-dvi-am
1201
1202 install-dvi-am:
1203
1204 install-exec-am:
1205
1206 install-html: install-html-am
1207
1208 install-html-am:
1209
1210 install-info: install-info-am
1211
1212 install-info-am:
1213
1214 install-man:
1215
1216 install-pdf: install-pdf-am
1217
1218 install-pdf-am:
1219
1220 install-ps: install-ps-am
1221
1222 install-ps-am:
1223
1224 installcheck-am:
1225
1226 maintainer-clean: maintainer-clean-am
1227 -rm -f ./$(DEPDIR)/lookup_groupbyuser.Po
1228 -rm -f ./$(DEPDIR)/lookup_netgroup.Po
1229 -rm -f ./$(DEPDIR)/lookup_shadow.Po
1230 -rm -f ./$(DEPDIR)/test_attmap.Po
1231 -rm -f ./$(DEPDIR)/test_cfg.Po
1232 -rm -f ./$(DEPDIR)/test_clock.Po
1233 -rm -f ./$(DEPDIR)/test_common.Po
1234 -rm -f ./$(DEPDIR)/test_dict.Po
1235 -rm -f ./$(DEPDIR)/test_expr.Po
1236 -rm -f ./$(DEPDIR)/test_getpeercred.Po
1237 -rm -f ./$(DEPDIR)/test_myldap.Po
1238 -rm -f ./$(DEPDIR)/test_set.Po
1239 -rm -f ./$(DEPDIR)/test_tio.Po
1240 -rm -f ./$(DEPDIR)/test_tio_timeout.Po
1241 -rm -f Makefile
1242 maintainer-clean-am: distclean-am maintainer-clean-generic
1243
1244 mostlyclean: mostlyclean-am
1245
1246 mostlyclean-am: mostlyclean-compile mostlyclean-generic
1247
1248 pdf: pdf-am
1249
1250 pdf-am:
1251
1252 ps: ps-am
1253
1254 ps-am:
1255
1256 uninstall-am:
1257
1258 .MAKE: check-am install-am install-strip
1259
1260 .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1261 check-am clean clean-checkPROGRAMS clean-generic clean-local \
1262 cscopelist-am ctags ctags-am distclean distclean-compile \
1263 distclean-generic distclean-tags distdir dvi dvi-am html \
1264 html-am info info-am install install-am install-data \
1265 install-data-am install-dvi install-dvi-am install-exec \
1266 install-exec-am install-html install-html-am install-info \
1267 install-info-am install-man install-pdf install-pdf-am \
1268 install-ps install-ps-am install-strip installcheck \
1269 installcheck-am installdirs maintainer-clean \
1270 maintainer-clean-generic mostlyclean mostlyclean-compile \
1271 mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
1272 uninstall uninstall-am
1273
1274 .PRECIOUS: Makefile
1275
1276 clean-local:
1277 -rm -rf *.pyc *.pyo __pycache__ flake8-venv
1278
1279 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1280 # Otherwise a system limit (for SysV at least) may be exceeded.
1281 .NOEXPORT: